Microsoft announced an IE vulnerability on April 27. Use Firefox until IE patched. Note: No patch expected for Windows XP.

Read the full article.

Print Friendly, PDF & Email